### Function

# Gimp context_set_dynamics

#### Declaration [src]

    gboolean
    gimp_context_set_dynamics (
      const gchar* name
    )

#### Description [src]

Set the specified paint dynamics as the active paint dynamics.

This procedure allows the active paint dynamics to be set by specifying its name. The name is simply a string which corresponds to one of the names of the installed paint dynamics. If there is no matching paint dynamics found, this procedure will return an error. Otherwise, the specified paint dynamics becomes active and will be used in all subsequent paint operations as long as dynamics are enabled.

Available since: | 2.8

#### Parameters

`name` | `const gchar*`
| The name of the paint dynamics.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `gboolean`
| TRUE on success.